#.XmlNode.Attributes


_next
m
XmlNode

Count
r
i

#.XmlNode.Children


_get
m
XmlNode
(Element)i
Count
r
i

#.XmlReader.Node


Attributes
r
.XmlReader.Node.Attributes

BaseUri
r
s

Depth
r
i

IsDefault
r
b

IsEmptyElement
r
b

LocalName
r
s

Name
r
s

NamespaceUri
r
s

Prefix
r
s

QuoteChar
r
s

Type
r
i

Value
r
s

XmlLang
r
s

#.XmlReader.Node.Attributes


_next
m
.XmlReader.Node

Count
r
i

#.XmlWriter.DTD


AttList
m

(Name)s(Content)s
Element
m

(Name)s[(Content)s]
End
m


InternalEntity
m

(Name)s(Content)s[(IsParameter)b]
Start
m

(Name)s[(PubID)s(SysID)s]
#XmlDocument

C
FromString
m

(Data)s
HtmlFromString
m

(Data)s
Open
m

(FileName)s
ToString
m
s
[(Encoding)s]
Write
m

(FileName)s[(Encoding)s]
_free
m


Root
r
XmlNode

#XmlNode


AttributeDecl
C
i
16
AttributeNode
C
i
2
CDataSectionNode
C
i
4
CommentNode
C
i
8
DocbDocumentNode
C
i
21
DocumentFragNode
C
i
11
DocumentNode
C
i
9
DocumentTypeNode
C
i
10
DtdNode
C
i
14
ElementDecl
C
i
15
ElementNode
C
i
1
EntityDecl
C
i
17
EntityNode
C
i
6
EntityRefNode
C
i
5
HtmlDocumentNode
C
i
13
NamespaceDecl
C
i
18
NotationNode
C
i
12
PiNode
C
i
7
TextNode
C
i
3
XIncludeEnd
C
i
20
XIncludeStart
C
i
19
NewAttribute
m

(Name)s(Value)s
NewElement
m

(Name)s(Value)s
_free
m


Name
p
s

Value
p
s

Attributes
r
.XmlNode.Attributes

Children
r
.XmlNode.Children

Next
r
XmlNode

Parent
r
XmlNode

Previous
r
XmlNode

#XmlReader

C
Decode
M
s
(Data)s(Encoding)s
Close
m


FromString
m

(Buffer)s[(URL)s]
Open
m

(FileName)s
Read
m


_free
m


Eof
r
b

Node
r
.XmlReader.Node

#XmlReaderNodeType


Attribute
C
i
2
CDATA
C
i
4
Comment
C
i
8
Document
C
i
9
DocumentFragment
C
i
11
DocumentType
C
i
10
Element
C
i
1
EndElement
C
i
15
EndEntity
C
i
16
Entity
C
i
6
EntityReference
C
i
5
None
C
i
0
Notation
C
i
12
ProcessingInstruction
C
i
7
SignificantWhitespace
C
i
14
Text
C
i
3
Whitespace
C
i
13
XmlDeclaration
C
i
17
#XmlWriter

C
Attribute
m

(Name)s(Value)s[(Prefix)s(URI)s]
Base64
m

(Data)s
BinHex
m

(Data)s
CDATA
m

(Data)s
Comment
m

(Comment)s
Element
m

(Name)s[(Value)s(Prefix)s(URI)s]
EndDocument
m
s

EndElement
m


Open
m

(FileName)s[(Indent)b(Encoding)s]
PI
m

(Target)s(Content)s
StartElement
m

(Name)s[(Attributes)String[];(Prefix)s(URI)s]
Text
m

(Data)s
_free
m


DTD
r
.XmlWriter.DTD

